const conf = require('../conf.json');
module.exports = (req)=>{
    // 检查访问IP地址是否在白名单上
    var ip = getClientIp(req).match(/\d+.\d+.\d+.\d+/);
    ip = ip ? ip.join('.') : null;
    return conf.runIp.indexOf(ip)>-1
}
function getClientIp(req) {
    return req.headers['x-forwarded-for'] ||
    req.connection.remoteAddress ||
    req.socket.remoteAddress ||
    req.connection.socket.remoteAddress || '';
}